oracle.jdbc.aq

## Enum AQNotificationEvent.EventType

- java.lang.Object
- - java.lang.Enum<AQNotificationEvent.EventType>
  - - oracle.jdbc.aq.AQNotificationEvent.EventType

All Implemented Interfaces:
  Serializable, Comparable<AQNotificationEvent.EventType>

Enclosing class:
  AQNotificationEvent

    public static enum AQNotificationEvent.EventType
    extends Enum<AQNotificationEvent.EventType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DEREG` Event type: unregistered or timed out.
`REGULAR` Event type: regular AQ event.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getCode()` Implementation detail (for internal use only).
`static AQNotificationEvent.EventType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AQNotificationEvent.EventType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### REGULAR

    public static final AQNotificationEvent.EventType REGULAR

Event type: regular AQ event.

#### DEREG

    public static final AQNotificationEvent.EventType DEREG

Event type: unregistered or timed out.

### Method Detail

#### values

    public static AQNotificationEvent.EventType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AQNotificationEvent.EventType c : AQNotificationEvent.EventType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AQNotificationEvent.EventType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getCode

    public final int getCode()

Implementation detail (for internal use only).

Copyright © 2008, 2020, Oracle and/or its affiliates. All rights reserved.